<?php
/*
Plugin Name: Before After
Plugin URI: http://www.instruite.com
Description: Before After Photo viewer
Author: Hemant Nandrajog
Version: 0.0.3
Author URI: http://www.instruite.com
*/
/*  Copyright 2010  Hemant Nandrajog (email : recent-photos-plugin@instruite.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
	* Load inline css
	*
	* @param  none
	* @return void
**/
function before_after_inline_style() {
?>
<style type="text/css">
    #ba-container {
    
        margin-left:auto;
        margin-right:auto;
    }
    
    #ba-container + div.balinks {
        margin: 0 auto;
    }
</style>
<?php
}

add_action('wp_head', 'before_after_inline_style');

/**
	* Load Javascript libraries
	*
	* @param  none
	* @return void
**/
function before_after_scripts(){
  if (!is_admin()) {
    //wp_deregister_script('jquery');
    //wp_register_script('jquery',  WP_PLUGIN_URL . '/before-after/js/jquery-1.4.min.js' );
    wp_enqueue_script('jquery');
    //wp_enqueue_script('jquery-ui-core');
    //wp_enqueue_script('jquery-new',  WP_PLUGIN_URL . '/before-after/js/jquery-1.4.min.js' );
    wp_enqueue_script('jquery-ui-min',  WP_PLUGIN_URL . '/before-after/js/jquery.ui.min.js');
    wp_enqueue_script('jquery-beforeafter',  WP_PLUGIN_URL . '/before-after/js/jquery.beforeafter.min.js');
    //wp_enqueue_script('jquery-beforeafter',  WP_PLUGIN_URL . '/before-after/jquery.beforeafter.min.js', array('jquery','jquery-ui-core'));
  }
}

add_action('init', 'before_after_scripts');



/**
	* Load inline  script
	*
	* @param  none
	* @return void
**/
function before_after_inline_script() {
?>
<script type="text/javascript">
    jQuery(document).ready(function($){
        $('#ba-container').beforeAfter({animateIntro:true,imagePath:'<?php echo WP_PLUGIN_URL; ?>/before-after/images/'});
    });
</script>
<?php
}

add_action('wp_head', 'before_after_inline_script');

/**
	* Load inline  script
	*
	* @param  none
	* @return void
**/
function before_after_inline_admin_script() {
?>
<script type="text/javascript">
   edButtons[edButtons.length] = new edButton('ed_beforeafter' ,'Before After' ,'[beforeafter]' ,'[/beforeafter]' ,'c' );
</script>
<?php
}

add_action('admin_head', 'before_after_inline_admin_script');

/**
	* Before after short code
	*
	* @param  none
	* @return void
**/
function before_after_shortcode($atts, $content = null) {
    $custom = shortcode_atts( array(
              'img_width' => 270,
              'img_height' => 490,
              ), $atts );
  //Only execute the shortcode on a single post/page
  if (is_single()) {
      $img_start_code = 'img ';
      $img_end_code = '/>';
      $img_align_start = 'class="';
      $img_align_end = '"';
      $caption_start_code = 'caption';
      $caption_stop_code = '[/caption]';
      $caption_align_start = 'align="';
      $caption_align_end = '"';
      $caption_left_code = 'alignleft';
      $caption_right_code = 'alignright';
      
      $mod_content = $content;
      $beforeafter_content = "";
      //need to do this loop twice for 2 find the 2 image data 
      for ($imgcount = 1; $imgcount <= 2; $imgcount++) {
         if (strpos($mod_content, $caption_start_code)){
            $sub_str = substr($mod_content, strpos($mod_content, $caption_start_code) + 1, (strpos($mod_content, $caption_stop_code) - 1 - strpos($mod_content,$caption_stop_code))) ;
            $align = substr($sub_str, strpos($sub_str, $caption_align_start), strpos($sub_str, $caption_align_end, strpos($sub_str,$caption_align_start)+7)-strpos($sub_str,$caption_align_start));
            $img_str = substr($sub_str, strpos($sub_str, $img_start_code) - 1, strpos($sub_str, $img_end_code, strpos($sub_str, $img_start_code))-strpos($sub_str, $img_start_code)+1);
            $mod_content = substr($mod_content, strpos($mod_content,'[/caption]')+10);
          }else {
            $img_str = substr($mod_content, strpos($mod_content, $img_start_code) - 1, strpos($mod_content, $img_end_code, strpos($mod_content, $img_start_code))-strpos($mod_content, $img_start_code)+1);
            $align = substr($img_str, strpos($img_str, $img_align_start) , strpos($img_str, $img_align_end, strpos($img_str, $img_align_start) + 8)- strpos($img_str, $img_align_start));
            $mod_content = substr($mod_content, strpos($mod_content, $img_end_code, strpos($mod_content, $img_start_code) ) + 2);
          }
          if (strpos($align, 'alignleft')) {
              $before_image = $img_str;
	      //Temporary Fix 0.0.2
	      $before_image .= ' />';
            } else {
              $after_image = $img_str;
	      //Temporary Fix 0.0.2
	      $after_image .= ' />';
            }
      }
      if ($beforeafter_content==""){
        $beforeafter_content = '<div id="ba-container"><div>';
        $beforeafter_content .= $before_image;
        $beforeafter_content .= '</div><div>';
        $beforeafter_content .= $after_image;
        $beforeafter_content .= '</div></div>';
      }
      
  }else {
    //return the content as is 
    $beforeafter_content =  $content;
  } 
  
  return  do_shortcode($beforeafter_content);
}

add_shortcode('beforeafter', 'before_after_shortcode');

?>
